Textpattern CMS support forum

You are not logged in. Register | Login | Help

#31 2016-06-22 12:39:42

GugUser
Member
From: Quito (Ecuador)
Registered: 2007-12-16
Posts: 1,400

Re: Plugins broken in 4.6

Destry wrote #299926:

Wouldn’t it be easier to just keep plugin status notes to the actual plugin threads?

It would be better, but rah_knots has no thread.

Offline

#32 2016-06-22 12:44:27

Destry
Moderator
From: Haut-Rhin
Registered: 2004-08-04
Posts: 4,233
Website

Re: Plugins broken in 4.6

GugUser wrote #299932:

It would be better, but rah_knots has no thread.

Ah, nuts… er knots.

We could turn this thread into a newly named rah_nuts thread and move it to the appropriate support location.

And then snip, snip, snip…


The text persuades, the *notes prove。

Offline

#33 2016-08-01 21:18:38

johnstephens
Plugin Author
From: Woodbridge, VA
Registered: 2008-06-01
Posts: 989
Website

Re: Plugins broken in 4.6

Having a single thread listing all the known plugin breakages is very useful to me when upgrading.

Yes, the individual plugin threads (when available) may be a better place to troubleshoot broken stuff.

But sometimes it’s not obvious what plugin is causing a problem, and having a list here can help me gauge the complexity of upgrading a given site before installing the new version. If I see one plugin dependency for a given site, versus a half-dozen, it gives me a better idea beforehand how much time I need to set aside.

I second the idea of keeping an index in the head post, but I won’t sweat it if that’s not feasible.

Last edited by johnstephens (2016-08-01 21:19:26)

Offline

#34 2016-08-02 19:38:50

johnstephens
Plugin Author
From: Woodbridge, VA
Registered: 2008-06-01
Posts: 989
Website

Re: Plugins broken in 4.6

It was only a matter of time: fpx_image_import messes up the layout when viewing individual images in Textpattern’s Images panel.

Offline

#35 2016-08-08 06:42:33

jpdupont
Member
From: Virton (BE)
Registered: 2004-10-01
Posts: 752
Website

Re: Plugins broken in 4.6

Adi, Bloke,

Do you plan to fix your plugins that break the design of the 4.6?

Offline

#36 2016-08-08 09:24:48

philwareham
Core designer
From: Farnham, Surrey, UK
Registered: 2009-06-11
Posts: 3,199
Website

Re: Plugins broken in 4.6

Hi all,

Just a note that in beta 3 (coming soon) the layout grid has changed a bit – so you may need to add a containing div and amend classnames if you use the layout grid in your plunge, see reference here.

This was done to make the layout grid work properly with RTL languages (via flexbox).

Offline

#37 2016-08-08 10:41:23

gomedia
Plugin Author
Registered: 2008-06-01
Posts: 1,226
Website

Re: Plugins broken in 4.6

jpdupont wrote #300540:

Adi, Bloke,

Do you plan to fix your plugins that break the design of the 4.6?

Yes! I’ve worked on a few already, email me with a wish list.

Offline

#38 2016-08-08 11:25:13

jpdupont
Member
From: Virton (BE)
Registered: 2004-10-01
Posts: 752
Website

Re: Plugins broken in 4.6

:-)

Actually : adi_form_links and adi_recent_tab

… and for Bloke : ied_plugin_composer

Last edited by jpdupont (2016-08-08 11:27:21)

Offline

#39 2016-08-08 14:17:05

GugUser
Member
From: Quito (Ecuador)
Registered: 2007-12-16
Posts: 1,400

Re: Plugins broken in 4.6

smd_browse_by: I have a 0.11.1 version with a few changes. But it would be nice if all the new txp-classes would be used. After all, I think this plugin should be integrated in the core, it is basically useful.

Offline

#40 2016-08-08 22:29:30

Bloke
Developer
From: Leeds, UK
Registered: 2006-01-29
Posts: 8,787
Website

Re: Plugins broken in 4.6

jpdupont wrote #300540:

Do you plan to fix your plugins that break the design of the 4.6?

Absolutely. Plugin Composer is done. Others were done, or on their way to being done, but the changes to the grid layout a couple of days ago may have broken them slightly. The rest, well, I’m doing them on an as-needed basis.

Since 4.6 isn’t out of beta yet, my site is still running 4.5.7 so I’m not hosting any of the 4.6-ready plugins there (yet). So if you want those, you’ll have to get them from GitHub. If you don’t want to use Plugin Composer or your Txp cache directory to install them, let me know which you desperately need and I’ll try and fix those up first and compile them into .txt files.


The smd plugin menagerie — for when you need one more gribble of power from Textpattern. Bleeding-edge code available on GitHub.

Txp Builders – finely-crafted code, design and Txp

Offline

Board footer

Powered by FluxBB